CREATE TYPE MojTypRekord AS OBJECT(
    ident  INT,
    nazwa  VARCHAR(10)
) ;
/

CREATE TYPE MojTypTablicowy AS TABLE OF MojTypRekord;
/

CREATE TABLE MojaTabela (id INT, tab MojTypTablicowy) 
NESTED TABLE tab STORE AS MojaTabelaZagniezdzona;

INSERT INTO MojaTabela VALUES(1,MojTypTablicowy(MojTypRekord(1,'abc')));

SELECT a.id, b.nazwa FROM MojaTabela a, TABLE(a.tab) b;

UPDATE /*+nested_table_get_refs*/ MojaTabelaZagniezdzona
SET nazwa = 'abcd'
WHERE nazwa='abc';

DELETE /*+nested_table_get_refs*/ FROM MojaTabelaZagniezdzona;
